%define oname ktp-contact-list

Summary:	KDE Telepathy contact list application
Name:		telepathy-kde-contact-list
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5people-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	ktp-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(TelepathyQt5)
Requires:	telepathy-kde-accounts-kcm
Requires:	telepathy-kde-approver
Requires:	telepathy-kde-auth-handler
Requires:	telepathy-kde-call-ui
Requires:	telepathy-kde-common-internals
Requires:	telepathy-kde-contact-runner
Requires:	telepathy-kde-desktop-applets
Requires:	telepathy-kde-filetransfer-handler
Requires:	telepathy-kde-kded-module
Requires:	telepathy-kde-send-file
Requires:	telepathy-kde-text-ui
# needed by MSN
Suggests:	telepathy-butterfly
#Needed for Jabber
Requires:	telepathy-gabble
# various protocol provided by libpurple
Suggests:	telepathy-haze
# needed for irc
Suggests:	telepathy-idle
Requires:	telepathy-mission-control
# needed for local XMPP
Suggests:	telepathy-salut

%description
KDE Telepathy contact list application.

%files -f ktp-contactlist.lang
%{_kde5_applicationsdir}/org.kde.ktpcontactlist.desktop
%{_kde5_bindir}/ktp-contactlist
%{_datadir}/dbus-1/services/org.kde.ktpcontactlist.service

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang ktp-contactlist

%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (d892440) New version 17.12.3


